<?php
namespace Service\Queue\DownloadVersion;

use Zeedhi\Queue\Connection;

class Producer extends \Zeedhi\Queue\Producer {

    protected static $queueName = "/queue/cp_download_version";

    public function __construct(Connection $connection) {
        parent::__construct($connection);
    }
    
    public function sendRequest($threadId)
    {
        $message = json_encode(
            array(
                "THREAD_ID" => $threadId
            )
        );

        $this->send($message);
    }
}